| Earth Observation Mission CFI Software Orbit Software User Manual for JAVA |

Public Member Functions | Public Attributes

# EECFI.OrbitalInfo Class Reference

Orbital information. More...

List of all members.

## Public Member Functions
| OrbitalInfo ()
| Empty constructor.
| OrbitalInfo (long absOrb, long repCyc, long cycLen, double mlstDriftIn, double mlstIn, double anxLon, double utc, double[] pos, double[] vel, double[] meanKepl, double[] oscKepl, double nodPeriod, double utcSMX)
| Constructor with parameters.
## Public Attributes
long | absOrbit
| Absolute orbit.
long | repCycle
| Repeat cycle.
long | cycLength
| Cycle length.
double | mlstDrift
| MLST drift (seconds/day).
double | mlst
| Mean Local Solar Time (hours).
double | phasing
| Longitude at ascending node (deg).
double | utcAnx
| UTC time at ascending node (days, processing format).
double[] | posAnx
| Position at ascending node (m).
double[] | velAnx
| Velocity at Ascending node (m/s).
double[] | meanKep
| Mean keplerian elements.
double[] | oscKep
| Osculating keplerian elements.
double | nodalPeriod
| Nodal period of orbit (s).
double | utcSmx
| UTC time at Spacecraft Midnight [days, processing format].

## Detailed Description

Orbital information.

## Constructor & Destructor Documentation

EECFI.OrbitalInfo.OrbitalInfo | ( |  | ) |

Empty constructor.

EECFI.OrbitalInfo.OrbitalInfo | ( | long | absOrb,
|  | long | repCyc,
|  | long | cycLen,
|  | double | mlstDriftIn,
|  | double | mlstIn,
|  | double | anxLon,
|  | double | utc,
|  | double[] | pos,
|  | double[] | vel,
|  | double[] | meanKepl,
|  | double[] | oscKepl,
|  | double | nodPeriod,
|  | double | utcSMX |
| ) |  |  |

Constructor with parameters.

## Member Data Documentation

long EECFI.OrbitalInfo.absOrbit

Absolute orbit.

long EECFI.OrbitalInfo.cycLength

Cycle length.

double [] EECFI.OrbitalInfo.meanKep

Mean keplerian elements.

double EECFI.OrbitalInfo.mlst

Mean Local Solar Time (hours).

double EECFI.OrbitalInfo.mlstDrift

MLST drift (seconds/day).

double EECFI.OrbitalInfo.nodalPeriod

Nodal period of orbit (s).

double [] EECFI.OrbitalInfo.oscKep

Osculating keplerian elements.

double EECFI.OrbitalInfo.phasing

Longitude at ascending node (deg).

double [] EECFI.OrbitalInfo.posAnx

Position at ascending node (m).

long EECFI.OrbitalInfo.repCycle

Repeat cycle.

double EECFI.OrbitalInfo.utcAnx

UTC time at ascending node (days, processing format).

double EECFI.OrbitalInfo.utcSmx

UTC time at Spacecraft Midnight [days, processing format].

double [] EECFI.OrbitalInfo.velAnx

Velocity at Ascending node (m/s).